﻿
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="description" content="" />
    <meta name="author" content="" />
    <title>Data</title>
   
    <link href="../../Content/CSS/styles.css" rel="stylesheet" />
</head>
<body>
    @{ var item = ViewBag.Data;
        TempData["Action"] = "MyData";
        <section class="py-5">
            <div class="container px-4 px-lg-5 my-5">
                <div class="row gx-4 gx-lg-5 align-items-center">
                    <div class="col-md-6"><img class="card-img-top mb-5 mb-md-0" src="../../Content/Images/CardPic.jpg" alt="..." /></div>
                    <div class="col-md-6">
                        <h1 class="display-5 fw-bolder">Title: @item.Title</h1>
                        <div class="fs-5 mb-5">
                            <span class="text-decoration-line-through"></span>
                            <span>Author: @item.Author</span>
                        </div>
                        <p class="lead">
                            Added by @item.Username<div class="d-flex">
                                <div class="text-center"><a class="btn btn-outline-dark mt-auto" href="@Url.Action("ViewText", "Data", new { id = item.Id })">View</a></div>
                                <div class="text-center"><a class="btn btn-outline-success mt-auto" href="@Url.Action("Edit", "Data", new { id = item.Id })">Update</a></div>
                                <div class="text-center"><a class="btn btn-outline-danger mt-auto" href="@Url.Action("Delete", "Data", new { id = item.Id })">Delete</a></div>
                            </div>
                    </div>
                </div>
            </div>
        </section>



    }

    <section class="py-5 bg-light">
        <div class="container px-4 px-lg-5 mt-5">
            <h2 class="fw-bolder mb-4">Related Data</h2>
            <div class="row gx-4 gx-lg-5 row-cols-2 row-cols-md-3 row-cols-xl-4 justify-content-center">
                @{
                    foreach (var items in item.RelatedObjects)
                    {
                        <div class="col mb-5">
                            <div class="card h-100">
                                <!-- Product image-->
                                <img class="card-img-top" src="../../Content/Images/Books.jpg" alt="..." />
                                <!-- Product details-->
                                <div class="card-body p-4">
                                    <div class="text-center">
                                        <!-- Product name-->
                                        <h5 class="fw-bolder">@items.Title</h5>
                                        <!-- Product price-->
                                        @items.Username
                                    </div>
                                </div>
                                <!-- Product actions-->
                                <div class="card-footer p-4 pt-0 border-top-0 bg-transparent">
                                    <div class="text-center"><a class="btn btn-outline-dark mt-auto" href=@items.Id>View</a></div>
                                </div>
                            </div>
                        </div>
                    }
                }
            </div>
        </div>
    </section>




    <script src="../../Scripts/bootstrap.bundle.min.js"></script>
    <!-- Core theme JS-->
    <script src="../../Content/JS/scripts.js"></script>
</body>

</html>